Not sure if this is any help, I use these to justify text (single command, example JUBC - JUstify Bottom Centre). Should also work with a single entity rather than a selection set.
(defun c:jul() (jut "l"))
(defun c:juc() (jut "c"))
(defun c:jur() (jut "r"))
(defun c:jutl() (jut "tl"))
(defun c:jutc() (jut "tc"))
(defun c:jutr() (jut "tr"))
(defun c:juml() (jut "ml"))
(defun c:jumc() (jut "mc"))
(defun c:jumr() (jut "mr"))
(defun c:jubl() (jut "bl"))
(defun c:jubc() (jut "bc"))
(defun c:jubr() (jut "br"))
;;https://www.cadtutor.net/forum/topic/35569-text-justification-lisp/
(defun jut (just / ss)
(princ (strcat "\nSelect Text"))
(if (setq ss (ssget "_:L" '((0 . "ATTDEF,MTEXT,TEXT"))))
(command "_.justifytext" ss "" just)
)
(princ)
)